/* lexer.h -- common declarations for lexical analyzer
 * Copyright (C) 1993-1994 Hitoshi Kihara.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* $Id: lexer.h,v 1.1 1994/10/27 14:06:20 hkl Exp $ */

/*------------------------------------*/
/* Boolean Values                     */
/*------------------------------------*/
#define TRUE -1
#define FALSE 0

/*------------------------------------*/
/* Token Values                       */
/*------------------------------------*/
#define DONE -10
#define ID1  -11
#define ID2  -12
#define NL   -13
#define ID   -14

/*------------------------------------*/
/* Interface Functions                */
/*------------------------------------*/
int    lex_start_scan(char * name);
void   lex_stop_scan(void);
int    lex_lookahead(void);
char * lex_get_text(void);
void   lex_next(void);
int    lex_lineno(void);

/* eof */
